org.apache.ignite.internal.processors.cache

## Class CacheObjectsReleaseFuture<T,R>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFutureAdapter<R>
  - - org.apache.ignite.internal.util.future.GridCompoundFuture<T,R>
    - - org.apache.ignite.internal.processors.cache.CacheObjectsReleaseFuture<T,R>

All Implemented Interfaces:
  Serializable, IgniteInternalFuture<R>, IgniteInClosure<IgniteInternalFuture<T>>

    public class CacheObjectsReleaseFuture<T,R>
    extends GridCompoundFuture<T,R>

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CacheObjectsReleaseFuture(String type, AffinityTopologyVersion topVer)`
`CacheObjectsReleaseFuture(String type, AffinityTopologyVersion topVer, IgniteReducer<T,R> rdc)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridCompoundFuture

`add, apply, cancel, clear, future, futures, futuresCountNoLock, hasFutures, hasPending, ignoreFailure, initialized, logDebug, logError, markInitialized, processFailure`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFutureAdapter

`chain, chain, error, get, get, get, getUninterruptibly, ignoreInterrupts, isCancelled, isDone, isFailed, listen, logger, onCancelled, onDone, onDone, onDone, onDone, onDone, reset, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CacheObjectsReleaseFuture

    public CacheObjectsReleaseFuture(String type,
                                     AffinityTopologyVersion topVer)

Parameters:
  `type` - Wait object type.
  `topVer` - Topology version to wait for.

#### CacheObjectsReleaseFuture

    public CacheObjectsReleaseFuture(String type,
                                     AffinityTopologyVersion topVer,
                                     @Nullable
                                     IgniteReducer<T,R> rdc)

Parameters:
  `type` - Wait object type.
  `topVer` - Topology version to wait for.
  `rdc` - Reducer object.

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `GridCompoundFuture<T,R>`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018